For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assignment

List

get

Retrieve Assignment List of an AVD Host Pool with the specified ID.

Path parameters
idinteger · int32Required

The ID of an AVD Host Pool for which to retrieve the Assignment settings.

Responses
200

Success

application/json; api-version=1.0

AVD Host Pool Assignment Settings

accountstring · nullableOptional

The name of the user/group account the filter is added to.

typestring · enumOptional

User Type

Possible values:
sidstring · nullableOptional

The SID of the user/group account the filter is added to.

azureActiveDirectorystring · nullableOptional

Azure Active Directory

azureActiveDirectoryIdstring · nullableOptional

Azure Active Directory Id

get/api/AVD/HostPool/{id}/Assignment

Add

post

Add a user or group to the Assignment List of the AVD Host Pool.

Path parameters
idinteger · int32Required

The ID of an AVD Host Pool for which to modify the Assignment settings.

Body

Add a user or group account to the AVD Host Pool Assignment list

accountstring · min: 1 · max: 255 · nullableOptional

The name of the account to add to the Assignments.

sidstring · min: 1 · max: 255 · nullableOptional

The SID of the account to add to the Assignments.

Responses
201

Created

No content

post/api/AVD/HostPool/{id}/Assignment

No content

Remove

delete

Remove a user or group from the Assignment List of the AVD Host Pool.

Path parameters
idinteger · int32Required

The ID of an AVD Host Pool for which to modify the Assignment settings.

Body

Remove a user or group account from the AVD Host Pool Assignment list

accountstring · min: 1 · max: 255 · nullableOptional

The name of the account to remove from the Assignments.

sidstring · min: 1 · max: 255 · nullableOptional

The SID of the account to remove from the Assignments.

Responses
204

No Content

No content

delete/api/AVD/HostPool/{id}/Assignment

No content

Last updated